%define		hordeapp kronolith
#
%include	/usr/lib/rpm/macros.php
Summary:	Kronolith - calendar for Horde
Summary(pl.UTF-8):	Kronolith - kalendarz dla Horde
Name:		horde-%{hordeapp}
Version:	2.3.5
Release:	4
License:	LGPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/kronolith/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	3305f6f2951c863b57c39d258d796ae6
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
URL:		http://www.horde.org/kronolith/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.1
Requires:	php(core) >= 4.1.0
Requires:	php(xml)
Requires:	webapps
Suggests:	php-pear-Date
Suggests:	php-pear-Date_Holidays >= 0.17.1
Suggests:	php-pear-XML_Serializer
Obsoletes:	kronolith
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Kronolith is the Horde calendar application. It provides a stable and
featureful individual calendar system for every Horde user, with
integrated collaboration/scheduling features. It makes extensive use
of the Horde Framework to provide integration with other applications.

Right now, Kronolith implements a solid, stand-alone calendar system,
allowing repeating events, all-day events, custom fields, keywords,
shared calendars, iCalendar support, generation of free/busy
information, and managing multiple users through Horde Authentication.
The calendar API that Kronolith uses is abstracted such that it could
work with any backend, but right now we provide SQL (abstracted to
support most databases, including MySQL, PostgreSQL, Oracle, and MSSQL
via PEAR DB), MCAL, and Kolab backend libraries.

%description -l pl.UTF-8
Kronolith to kalendarz będący aplikacją dla Horde. Dostarcza stabilny
system kalendarza o dużych możliwościach dla każdego użytkownika Horde
wraz ze zintegrowanymi możliwościami współpracy/planowania.
Intensywnie wykorzystuje szkielet Horde w celu integracji z innymi
aplikacjami.

Jak na razie Kronolith implementuje solidny, samodzielny system
kalendarza, pozwalający na powtarzanie zdarzeń, zdarzenia codzienne,
własne pola, słowa kluczowe, współdzielone kalendarze, obsługę
iCalendar, generowanie informacji o wolnym i zajętym czasie oraz
zarządzanie wieloma użytkownikami poprzez uwierzytelnianie Horde. API
kalendarza używane przez Kronolith jest abstrakcyjne, tak że może
działać z dowolnym backendem, ale aktualnie dostarczane są biblioteki
backendów SQL (jako abstrakcja do obsługi większości baz, w tym MySQL,
PostgreSQL, Oracle i MS SQL poprzez PEAR DB), MCAL i Kolab.

%prep
%setup -q -n %{hordeapp}-h3-%{version}

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

# Described in documentation as dangerous file...
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a calendars feed js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing Kronolith for the first time, you must now
create the Kronolith database tables. Look into directory
%{_docdir}/%{name}-%{version}/sql
to find out how to do this for your database.
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/calendars
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/feed
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-kronolith.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> d053fbc
- rpm5 friendly noautoreq
- rel 4

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> b4bcafc
- migrated to apache 2.4

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> da38f6a
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> 104d98b
- autoup to 2.3.5

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 501a128
- updated to: 2.3.4

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 2839bb8
- 2.3.3

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> a1ac079
- rel 2
- sanitized R/S

* Fri Oct 10 2008 Jakub Bogusz <qboosh@pld-linux.org> d02357a
- unified

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 0d89c4f
- rel 1
- remove test.php

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> e585df4
- S: Date-Holidays

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 01de576
- added new dirs to package

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 3850c12
- up to 2.3

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> a558919
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> f8ddd1d
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 4634ef3
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> ae3d8da
- up to 2.3
- removed unreadable tangle of macros and ugly hacks

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> e481d1e
- update to 2.2rc2, unify macros, drop old trigger

* Wed Jan 09 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8786e74
- updated to 2.2-rc1

* Mon Oct 01 2007 Elan Ruusamäe <glen@pld-linux.org> 89ddc45
- 2.1.6

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 505cfc5
- rel 2

